Package htsjdk.samtools.cram.build

# Class CramSpanContainerIterator

java.lang.Object
htsjdk.samtools.cram.build.CramContainerIterator
htsjdk.samtools.cram.build.CramSpanContainerIterator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Iterator<Container>`

public final class CramSpanContainerIterator extends CramContainerIterator
An iterator of CRAM containers read from locations in a `SeekableStream`. The locations are specified with pairs of coordinates, and are basically file pointers as returned for example by `SamReader.Indexing.getFilePointerSpanningReads()`

## Method Summary

Modifier and Type
Method
Description
`static CramSpanContainerIterator`
`fromFileSpan(SeekableStream seekableStream, long[] coordinates)`
`boolean`
`hasNext()`
`Container`
`next()`
`void`
`remove()`

### Methods inherited from class htsjdk.samtools.cram.build.CramContainerIterator

`close, containerFromStream, getCramHeader, getSamFileHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Method Details

### fromFileSpan

public static CramSpanContainerIterator fromFileSpan(SeekableStream seekableStream, long[] coordinates)

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Container>`
Overrides:
  `hasNext` in class `CramContainerIterator`

### next

public Container next()

Specified by:
  `next` in interface `Iterator<Container>`
Overrides:
  `next` in class `CramContainerIterator`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Container>`
Overrides:
  `remove` in class `CramContainerIterator`